dag_component_get_config_attribute_uuid(3)

NAME
dag_component_get_config_attribute_uuid, dag_component_get_status_attribute_uuid - get a configuration or status attribute identifier by code

SYNOPSIS
#include "dag_component.h "

attr_uuid_t
dag_component_get_config_attribute_uuid(dag_component_t component, dag_attribute_code_t code);

attr_uuid_t
dag_component_get_status_attribute_uuid(dag_component_t component, dag_attribute_code_t code);

DESCRIPTION
dag_component_get_config_attribute_uuid and dag_component_get_status_attribute_uuid return a component attribute by attribute code.

RETURN VALUE
An identifier that can be used to reference an attribute in other Configuration and Status API routines.

ERRORS
If the specified attribute is invalid (e.g. no such attribute with the given code belongs to the specified component) then the constant kNullAttributeUuid will be returned. Applications should test for this value before assuming the return value is valid.

SEE ALSO
dagconfigapi(3).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: koryn $
$Revision: 2474 $
$Date: 2005-11-10 11:13:19 +1300 (Thu, 10 Nov 2005) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.